#include "Tests.h"

void main()
{ 
  CTest test;
  int mode;

  _tprintf(_T("Select mode:\n"));
  _tprintf(_T(" 1 - Step-by-step image registration demo.\n"));
  _tprintf(_T(" 2 - Performance test.\n"));  
  _tprintf(_T(" 3 - Misc. code correctness tests.\n"));  
  _tprintf(_T("Your choice: >  "));
  _tscanf_s(_T("%d"), &mode);

  if(mode==1)
  {
    _tprintf(_T("Running step-by-step image registration demo.\n"));
    test.RunStepByStepDemo();  
  }
  else if(mode==2)
  {
    _tprintf(_T("Running performance test.\n"));
    test.RunPerformanceTest();
  }  
  else 
  {
    _tprintf(_T("Running code correctness tests.\n"));
    test.RunCorrectnessTest();
  }

  _tprintf(_T("Press any key to exit.\n"));
  getchar();
}
